<?php
    // form processing
    if(isset($_POST['submit'])){
    	// basic init
        require_once "functions.php";
	
    	// user input
    	$name = $_POST['frm_name'];
    	$mail = $_POST['frm_email'];
    	$subject = $_POST['frm_subject'];
    	$comments = $_POST['frm_comments'];
	
    	// validate input
    	$error = array();
    	if(empty($name)) $error[1] = true;
	
    	if(empty($mail)) $error[2] = true;
    	if(!check_email_address($mail)) $error[2] = true;
	
    	if(empty($subject)) $error[3] = true;
	
    	if(empty($comments)) $error[4] = true;
	
    	if(empty($error)){
    		mail("johnsaddington@gmail.com", "JohnApp: '" . $subject . "'",
    			"Name: \t\t\t" . $name . "\n\nEmail:\t\t\t". $mail ."\nMessage: \n" . stripslashes($comments) . "\n\n",
    			"From: johnsaddington@gmail.com\r\nReply-To: $mail\r\n");
		
    		$show_succes_msg = true;
    		unset($_POST);
    	}
    }

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta http-equiv="imagetoolbar" content="no" />

    <title>John Saddington App - Blogger, Social Computing Strategist, Web Technologist, and Wordpress Fanatic</title>
    
	<link rel="shortcut icon" href="favicon.ico" />
    <link rel="stylesheet" type="text/css" media="screen" href="style.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="fancybox.css" />
        
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js" type="text/javascript"></script>
    <script src="js/jquery.embedquicktime.js" type="text/javascript" charset="utf-8"></script>
    <script src="js/jquery.fancybox.js" type="text/javascript" charset="utf-8"></script>
    <script src="js/jquery.easing.1.3.js" type="text/javascript" charset="utf-8"></script>
    
    <script type="text/javascript">
        $(document).ready(function() {
            jQuery.embedquicktime({
                jquery: 'http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js', 
                plugin: 'js/jquery.embedquicktime.js'
            });
        });
        $(document).ready(function() {
            $("a.link").fancybox({
                'zoomOpacity'           : true,
                'zoomSpeedIn'           : 200,
                'zoomSpeedOut'          : 200,
            	});
        });
    </script>
    <!--[if IE 6]>
        <link rel="stylesheet" type="text/css" media="screen" href="IE6.css" />        
        <script src="js/DD_belatedPNG.js"></script>
        <script>
          /* EXAMPLE */
          DD_belatedPNG.fix('#iphone, #iphone a, h1, .link .img');

          /* string argument can be any CSS selector */
          /* change it to what suits you! */
        </script>
    <![endif]-->
    

</head>
<body>
    <div id="wrapper">
        <div id="header">
            <ul id="navigation">
                <li><a href="index.html"><span>Home</span></a></li>
                <li><a href="projects.html"><span>Projects</span></a></li>
                <li class="current"><a href="contact.php"><span>Contact</span></a></li>
            </ul>
            <div id="title">
                <h1>Contact Me</h1>
                <a href="http://twitter.com/human3rror"><span>@Human3rror</span></a>
            </div>
        </div>
        <div id="main">
            <div id="iphone">
                <div class="img">
                    <div class="hvlog {width: '234', height: '354', controller: 'false', loop: 'false', pluginspage: 'http://www.apple.com/quicktime/download/'}">
                        <a href="media/contact-me.mov" rel="enclosure">click to play</a>
                        <img src="media/john-email.jpg" alt="" />
                    </div>
                </div>
            </div>
            <form id="content" action="contact.php" method="post" accept-charset="utf-8" enctype="multipart/form-data">
<?php if($show_succes_msg){ ?>
                <div class="row">
                    <div class="column six">
                        <h2>Thanks!</h2>
                        <p>I'll get back to you as soon as possible!</p>
                    </div>
                </div>
<?php } else {?>
                <div class="row">
                    <div class="column three">
                        <p<?php if($error[1]) echo ' class="error"><big>Can\'t be Empty</big' ?>>
                            <label for="frm_name">Name</label>
                            <input type="text" name="frm_name" value="<?php echo $_POST['frm_name'] ?>" id="frm_name" />
                        </p>
                    </div>
                    <div class="column three">
                        <p<?php if($error[2]) echo ' class="error"><big>Can\'t be Empty</big' ?>>
                            <label for="frm_email">Email</label>
                            <input type="text" name="frm_email" value="<?php echo $_POST['frm_email'] ?>" id="frm_email" />
                        </p>
                    </div>                    
                </div>
                <div class="row">
                    <div class="column three">
                        <p<?php if($error[3]) echo ' class="error"><big>Can\'t be Empty</big' ?>>
                            <label for="frm_subject">Subject</label>
                            <input type="text" name="frm_subject" value="<?php echo $_POST['frm_subject'] ?>" id="frm_subject" />
                        </p>
                    </div>
                </div>
                <div class="row">
                    <div class="column six">
                        <p<?php if($error[4]) echo ' class="error"><big>You don\'t want to say anything?</big' ?>>
                            <label for="frm_comments">Message</label>
                            <textarea name="frm_comments" id="frm_message" rows="8" cols="40"><?php echo stripslashes($_POST['frm_comments']) ?></textarea>
                            
                            <button type="submit" name="submit">Send</button>
                        </p>
                    </div>
                </div>
            </form>
<?php } ?>            
        </div>
        <div id="footer">
            <p>&copy; 2010  &middot; <a href="http://MilkEngine.com">Milk Engine</a></p>
        </div>
    </div>
    


</body>
</html>